Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.enterprise.control
Class AbstractSecuredListener

    java.lang.Object
      org.deegree.enterprise.control.AbstractListener
          org.deegree.enterprise.control.AbstractSecuredListener

All Implemented Interfaces:
  EventListener, WebListener

    public abstract class AbstractSecuredListener

extends AbstractListener

This abstract `Listener` ensures that only privileged users have access to the services provided by derived implementations.

- This class is extended by Listeners that may require security checks. - The extended classes may then be extended again by an concrete implementation (with a certain security model) that overwrites the "actionPerformed"-method to perform the security check.

Author:
  Markus Schneider

Constructor Summary
`AbstractSecuredListener()`

Method Summary
`void` | `actionPerformed(FormEvent event)` Has to be overwritten by the concrete `Listener`.
`abstract void` | `performPrivilegedOperation(FormEvent event)`

Methods inherited from class org.deegree.enterprise.control.AbstractListener
`getAlternativeNextPage, getHomePath, getInitParameter, getInitParameterList, getNextPage, getRequest, getReturnValue, gotoErrorPage, handle, setAlternativeNextPage, setDefaultAlternativeNextPage, setDefaultNextPage, setInitParameterList, setNextPage, setReturnValue, toModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSecuredListener

    public AbstractSecuredListener()

Method Detail

### actionPerformed

    public void actionPerformed(FormEvent event)

  Has to be overwritten by the concrete `Listener`.

  Specified by:
    `actionPerformed` in interface `WebListener`
  Specified by:
    `actionPerformed` in class `AbstractListener`
  Parameters:
    `event` -

### performPrivilegedOperation

    public abstract void performPrivilegedOperation(FormEvent event)

  Parameters:
    `event` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org